function commmultipathfading_vis(fig, command, val)

%   Copyright 2010-2011 The MathWorks, Inc.

figObj = get(fig, 'userdata');
  
if ~isequal(class(figObj), 'channel.multipathfig')
    error(message('comm:commmultipathfading_vis:FigDoNotExist'));
end

switch lower(command)

    case 'visualization'

        hMenu = setmenu(fig, 'VisMenu', val);
        selectaxes(figObj, hMenu);

    case 'animation'

        hMenu = setmenu(fig, 'AnimMenu', val);
        animationmenu(figObj, hMenu);

    case 'sampleindex'

        hSlider = findobj(fig, 'style', 'slider');
        if (val<get(hSlider, 'min') || val>get(hSlider, 'max'))
            error(message('comm:commmultipathfading_vis:InvalidSliderVal'));
        end
        set(hSlider, 'value', val);
        hButton = findobj(fig, 'style', 'togglebutton');
        pausebutton(figObj, hButton);

    case 'pause'

        hButton = findobj(fig, 'style', 'togglebutton');
        set(hButton, 'val', val);
        pausebutton(figObj, hButton);

    case 'close'
        close(fig);
end

%--------------------------------------------------------------------------
function hMenu = setmenu(fig, tag, val)
hMenu = findobj(fig, 'tag', tag);
if (val<0 || val>length(get(hMenu, 'string')))
    error(message('comm:commmultipathfading_vis:OutOfRangeVal'));
end
set(hMenu, 'value', val);
